Bug 179778 - timezone_map_gui.py exception in timezone_list_init()
timezone_map_gui.py exception in timezone_list_init()
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2006-02-02 15:48 EST by Jasper O. Hartline
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 08:11:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jasper O. Hartline 2006-02-02 15:48:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Using Kadischi under FC5t2 with system-config-date-
produces an exception when going to the timezone selection screens.
Here is the exception:
21:25:32 CRITICAL: Traceback (most recent call last):
  File "/usr/lib/anaconda/iw/timezone_gui.py", line 67, in custom_widget_handler
    return handler(str1, str2, int1, int2)
  File "/usr/lib/anaconda/iw/timezone_gui.py", line 82, in timezone_widget_create
    regions=regionspath, viewportWidth=viewportWidth)
  File "/usr/share/system-config-date/timezone_map_gui.py", line 224, in __init__
    self.timezone_list_init ()
TypeError: timezone_list_init() takes exactly 2 arguments (1 given)

This is after spawning Anaconda using a graphical method with Kadischi.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. kadischi --graphical /pub/development -f /tmp/rawhide.iso
2. Choose language, keyboard, network options.
3. Kadischi/Anaconda halts with an exception in timezone_list_init()

Actual Results:  Revieved an unrecoverable exception from Anaconda.

Expected Results:  Anaconda should have continued through timezone selection.

Additional info:

No additional information at this time.
Comment 1 Jasper O. Hartline 2006-02-03 02:46:33 EST
The update in RAWHIDE from this release to system-config-date-1.8.0-1
seems to fix this issue. Looks good from here, thanks!

Note You need to log in before you can comment on or make changes to this bug.